ivi_surface_listener Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
ivi_surface_listener Struct Reference

ivi_surface - application interface to surface in ivi compositor : visibility of surface in ivi compositor has changed More...

## Data Fields
void(* | visibility )(void *data, struct ivi_surface *ivi_surface, int32_t visibility)
| visibility - visibility of surface in ivi compositor has changed : (none) More...
void(* | warning )(void *data, struct ivi_surface *ivi_surface, int32_t warning_code, const char *warning_text)
| warning - server-side warning detected : (none) : (none) More...

## Detailed Description

ivi_surface - application interface to surface in ivi compositor : visibility of surface in ivi compositor has changed

Warning
  : server-side warning detected

## Field Documentation

void(* ivi_surface_listener::visibility) (void *data, struct ivi_surface *ivi_surface, int32_t visibility)

visibility - visibility of surface in ivi compositor has changed : (none)

The new visibility state is provided in argument visibility. If visibility is 0, the surface has become invisible. If visibility is not 0, the surface has become visible.

void(* ivi_surface_listener::warning) (void *data, struct ivi_surface *ivi_surface, int32_t warning_code, const char *warning_text)

warning - server-side warning detected : (none) : (none)

The ivi compositor encountered warning while processing a request by this application. The warning is defined by argument warning_code and optional warning_text. If the warning is detected, client shall destroy the ivi_surface object.

When a warning event is sent, the compositor turns the ivi_surface object inert. The ivi_surface will not deliver further events, all requests on it are ignored except 'destroy', and the association to the ivi_id is removed. The client should destroy the ivi_surface object. If an inert ivi_surface object is used as an argument to any other object's request, that request will [produce a fatal error / produce a warning / be ignored].